Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class IsTransformable

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wcts.operation.WCTSRequestBase
              org.deegree.ogcwebservices.wcts.operation.IsTransformable

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class IsTransformable

extends WCTSRequestBase

`IsTransformable` encapsulates the bean representation of the xml-dom or kvp encoded IsTransformable request of the wcts 0.4.0

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Constructor Summary
`IsTransformable(String version, String requestID, CoordinateSystem sourceCRS, CoordinateSystem targetCRS, List<String> geometryTypes)`
`IsTransformable(String version, String id, CoordinateSystem sourceCRS, CoordinateSystem targetCRS, String transformation, String method, List<Pair<String,String>> geometryTypes, List<Pair<String,String>> coverageTypes, List<Pair<String,String>> interpolationTypes)`

Method Summary
`static IsTransformable` | `create(String requestID, Map<String,String> map)` Create a `IsTransformable`-request by extracting the values from the map, and calling the constructor with these values.
`List<Pair<String,String>>` | `getCoverageTypes()`
`List<Pair<String,String>>` | `getGeometryTypes()`
`List<Pair<String,String>>` | `getInterpolationTypes()`
`String` | `getMethod()`
`List<String>` | `getSimpleGeometryTypes()`
`CoordinateSystem` | `getSourceCRS()`
`CoordinateSystem` | `getTargetCRS()`
`String` | `getTransformation()`

Methods inherited from class org.deegree.ogcwebservices.wcts.operation.WCTSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsTransformable

    public IsTransformable(String version,
                           String id,
                           CoordinateSystem sourceCRS,
                           CoordinateSystem targetCRS,
                           String transformation,
                           String method,
                           List<Pair<String,String>> geometryTypes,
                           List<Pair<String,String>> coverageTypes,
                           List<Pair<String,String>> interpolationTypes)

Parameters:
  `version` -
  `id` -
  `sourceCRS` - if `null` it is assumed that the sourceCRS is not supported.
  `targetCRS` - if `null` it is assumed that the targetCRS is not supported.
  `transformation` -
  `method` -
  `geometryTypes` -
  `coverageTypes` -
  `interpolationTypes` -

### IsTransformable

    public IsTransformable(String version,
                           String requestID,
                           CoordinateSystem sourceCRS,
                           CoordinateSystem targetCRS,
                           List<String> geometryTypes)

Parameters:
  `version` -
  `requestID` -
  `sourceCRS` - if `null` it is assumed that the sourceCRS is not supported.
  `targetCRS` - if `null` it is assumed that the targetCRS is not supported.
  `geometryTypes` - a list of simple geometry representations.

Method Detail

### getSourceCRS

    public final CoordinateSystem getSourceCRS()

  Returns:
    the sourceCRS, if `null` it can be assumed that the sourceCRS is not supported.

### getTargetCRS

    public final CoordinateSystem getTargetCRS()

  Returns:
    the targetCRS, if `null` it can be assumed that the targetCRS is not supported.

### getTransformation

    public final String getTransformation()

  Returns:
    the transformation currently `null`

### getMethod

    public final String getMethod()

  Returns:
    the method currently `null`

### getGeometryTypes

    public final List<Pair<String,String>> getGeometryTypes()

  Returns:
    the geometryTypes as a list of < value, codeSpace > pairs. May be `null`, if so, check `getSimpleGeometryTypes()` to see if the request defined geometryTypes by KVP.

### getSimpleGeometryTypes

    public final List<String> getSimpleGeometryTypes()

  Returns:
    the simpleGeometryTypes. Maybe `null`, if so check `getGeometryTypes()` to see if xml encoded geometryTypes were supplied.

### getCoverageTypes

    public final List<Pair<String,String>> getCoverageTypes()

  Returns:
    the coverageTypes currently `null`.

### getInterpolationTypes

    public final List<Pair<String,String>> getInterpolationTypes()

  Returns:
    the interpolationTypes currently `null`.

### create

    public static IsTransformable create(String requestID,
                                         Map<String,String> map)
                                  throws OGCWebServiceException

  Create a `IsTransformable`-request by extracting the values from the map, and calling the constructor with these values.

  Parameters:
    `requestID` - service internal id for this request.
    `map` - to extract requested values from.
  Returns:
    the bean representation
  Throws:
    `OGCWebServiceException` - if the map is `null` or has size==0, or the service,request parameters have none accepted values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org